examples

## Class TestAutoregister

- java.lang.Object
- - examples.TestAutoregister

    public class TestAutoregister
    extends Object

This test program tests whether the autoregistration of PostGIS data types within the pgjdbc driver was successful. This is supposed to work with pgjdbc.jar version 8.0 and newer, and thus refuses to work with older pgjdbc versions. (But it will work fine against older servers.) It also checks for postgis version to know whether box2d is available.

### Constructor Summary

Constructors
Constructor and Description
`TestAutoregister()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getPostgisMajor(Statement stat)`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAutoregister

    public TestAutoregister()

### Method Detail

#### main

    public static void main(String[] args)

#### getPostgisMajor

    public static int getPostgisMajor(Statement stat)
                               throws SQLException

Throws:
  `SQLException`